> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riverside.fm/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Recording

> Retrieves a single recording by its ID. Each recording includes information about tracks.

**HTTP Method**: GET

**URL**: `/api/v1/recordings/{recording_id}`

**Authentication**: Requires API Key in the request header.

**Path Parameters**:

* `recording_id` ID of the recording to retrieve. To find this value, visit the recording page and click "Copy Recording ID" in the three dots menu.

**Response**: Information about the requested recording with associated tracks.

**Rate limit**: Once every 10 seconds for unique request (e.g. different recordings not limited)

**Status Codes**:

* `200 OK` Recording retrieval successful.
* `401 Unauthorized` Authentication failed.
* `404 Not Found` Recording not found.

### **Sample Request**

```md theme={null}
GET /api/v1/recordings/1 HTTP/1.1
Host: platform.riverside.fm
Authorization: BEARER YOUR_API_KEY
```

### **Sample Response**

```json theme={null}
{
  "id": "1",
  "name": "Recording 1",
  "project_id": "640479c9-1222-4161-1234-dee0d855e685",
  "project_name": "Project 1",
  "studio_id": "640479c9-1222-4161-1234-dee0d855e685",
  "studio_name": "Studio 1", 
  "status": "ready",
  "created_date": "2024-04-28T12:00:00Z",
  "tracks": [{
      "id": "track123",
      "type": "participant",
      "status": "done",
      "files": [{
          "name": "my_file.mp3",
          "size": 100000,
          "type": "compressed_audio",
          "download_url": "https://platform.riverside.fm/api/v1/download/file/183123812"
      }]
  }, {
      "id": "track456",
      "type": "screenshare",
      "status": "done",
      "files": [{
          "name": "my_file.mp4",
          "size": 100000,
          "type": "raw_video",
          "download_url": "https://platform.riverside.fm/api/v1/download/file/3292356392"
      }]
   }],
   "transcription": {
    "status": "done",
    "files": [
      {
        "type": "srt",
        "download_url": "https://platform.riverside.fm/api/v1/download/transcription/3343434?type=srt"
      },
      {
        "type": "txt",
        "download_url": "https://platform.riverside.fm/api/v1/download/transcription/3343434?type=txt"
      }
    ]
  } 
}
```
